OpenTTD AI API: AIEventAircraftDestTooFar Class Reference

OpenTTD AI API 1.11.2

Public Member Functions | Static Public Member Functions
AIEventAircraftDestTooFar Class Reference

Event AircraftDestTooFar, indicating the next destination of an aircraft is too far away. More...

Inheritance diagram for AIEventAircraftDestTooFar:

## Public Member Functions
| AIEventAircraftDestTooFar (VehicleID vehicle_id)
VehicleID | GetVehicleID ()
| Get the VehicleID of the aircraft whose destination is too far away. More...
Public Member Functions inherited from AIEvent
| AIEvent (AIEvent::AIEventType type)
| Constructor of AIEvent, to get the type of event.
AIEventType | GetEventType ()
| Get the event-type. More...

## Static Public Member Functions
static AIEventAircraftDestTooFar * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance. More...

## Additional Inherited Members
Public Types inherited from AIEvent
enum | AIEventType { ET_INVALID, ET_TEST, ET_SUBSIDY_OFFER, ET_SUBSIDY_OFFER_EXPIRED, ET_SUBSIDY_AWARDED, ET_SUBSIDY_EXPIRED, ET_ENGINE_PREVIEW, ET_COMPANY_NEW, ET_COMPANY_IN_TROUBLE, ET_COMPANY_ASK_MERGER, ET_COMPANY_MERGER, ET_COMPANY_BANKRUPT, ET_VEHICLE_CRASHED, ET_VEHICLE_LOST, ET_VEHICLE_WAITING_IN_DEPOT, ET_VEHICLE_UNPROFITABLE, ET_INDUSTRY_OPEN, ET_INDUSTRY_CLOSE, ET_ENGINE_AVAILABLE, ET_STATION_FIRST_VEHICLE, ET_DISASTER_ZEPPELINER_CRASHED, ET_DISASTER_ZEPPELINER_CLEARED, ET_TOWN_FOUNDED, ET_AIRCRAFT_DEST_TOO_FAR, ET_ADMIN_PORT, ET_WINDOW_WIDGET_CLICK, ET_GOAL_QUESTION_ANSWER, ET_EXCLUSIVE_TRANSPORT_RIGHTS, ET_ROAD_RECONSTRUCTION, ET_VEHICLE_AUTOREPLACED, ET_STORYPAGE_BUTTON_CLICK, ET_STORYPAGE_TILE_SELECT, ET_STORYPAGE_VEHICLE_SELECT }
| The type of event. More...

## Detailed Description

Event AircraftDestTooFar, indicating the next destination of an aircraft is too far away.

This event can be triggered when the current order of an aircraft changes, usually either when loading is done or when switched manually.

## Constructor & Destructor Documentation

## ◆ AIEventAircraftDestTooFar()

AIEventAircraftDestTooFar::AIEventAircraftDestTooFar | ( | VehicleID | vehicle_id | ) |

Parameters

  vehicle_id | The aircraft whose destination is too far away.

## Member Function Documentation

## ◆ Convert()

static AIEventAircraftDestTooFar* AIEventAircraftDestTooFar::Convert | ( | AIEvent * | instance | ) |
| inlinestatic

Convert an AIEvent to the real instance.

Parameters

  instance | The instance to convert.

Returns
  The converted instance.

## ◆ GetVehicleID()

VehicleID AIEventAircraftDestTooFar::GetVehicleID | ( |  | ) |
| inline

Get the VehicleID of the aircraft whose destination is too far away.

Returns
  The VehicleID of the aircraft whose destination is too far away.